+ Responder ao Tópico



  1. Galera! Boa tarde!

    Preciso da ajuda de vocês, conforme cenário abaixo:

    - My distro: Debian Etch

    - Problema: erro ao adicionar um repositório "by http://docs.opsview.org/"

    - Objetivo: instalar o opsview (Monitoramento)

    - Meus repositórios (by sources.list):
    ####
    deb Index of /debian stable main
    deb-src Index of /debian stable main

    deb Debian -- Security Information etch/updates main contrib
    deb-src Debian -- Security Information etch/updates main contrib

    # Opsview 2.10 Sources
    deb Index of /debian etch main
    ####

    - Erro:
    Ao aplicar o comando "aptitude update" gera o erro abaixo:

    W: GPG error: Index of / etch Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY FB4C675977CB2CF6
    W: You may want to run apt-get update to correct these problems

    - Estou tentando importar a chave do repositório conforme abaixo (by site Altinity, e-Business infrastructure specialists -- providing security and high-availability and system management solutions as well as outsourcing and support services - Opsview), porém ele não consegue importa a chave correta:

    labmon-02:/# gpg --keyserver subkeys.pgp.net --recv-key 77CB2CF6
    gpg: requesting key 77CB2CF6 from hkp server subkeys.pgp.net
    gpgkeys: key 77CB2CF6 not found on keyserver
    gpg: no valid OpenPGP data found.
    gpg: Total number processed: 0

    labmon-02:/# gpg --export --armor 77CB2CF6 | apt-key add -
    gpg: WARNING: nothing exported
    gpg: no valid OpenPGP data found.

    Alguém já passou por esta situação?
    Agradeço as dicas e ajuda.

    p.s.: já pesquisei no google porém não encontrei nada que me ajudasse. Rodar "apt-get update" gera a mesma mensagem de erro ao ler o repositório.

  2. GALERA!!
    Depois de quebrar muito a cabeça resolvi o problema da seguinte maneira:

    a) Ao executar os procedimentos (conforme site "http://docs.opsview.org/doku.php?id=opsview:deb_repo_gpg") com o usuário waltair:

    waltair@labmon-02:~$ gpg --keyserver subkeys.pgp.net --recv-key 77CB2CF6
    gpg: requesting key 77CB2CF6 from hkp server subkeys.pgp.net
    gpg: /home/waltair/.gnupg/trustdb.gpg: trustdb created
    gpg: key 77CB2CF6: public key "Altinity Repository Key (Opsview) <repositories@opsview.org>" imported
    gpg: Total number processed: 1
    gpg: imported: 1

    b) Após isto copiar o diretório ".gnupg" para dentro do home do root "/root"

    c) Executar "su -" e enfim aplicar " gpg --export --armor 77CB2CF6 | apt-key add -"
    Após o comando será executado a seguinte mensagem "OK"

    d) Executar "aptitude update"

    e) A partir daqui segui normalmente com as instalações

    Abraços






Tópicos Similares

  1. Erro somente na página da caixa
    Por kramal no fórum Redes
    Respostas: 2
    Último Post: 11-04-2007, 13:25
  2. Erro estranho na navegacao da pagina da caixa
    Por no fórum Servidores de Rede
    Respostas: 8
    Último Post: 29-08-2005, 10:48
  3. Erro na Autenticação da VPN
    Por no fórum Servidores de Rede
    Respostas: 0
    Último Post: 23-07-2003, 13:14
  4. Erro na Autenticação da VPN
    Por no fórum Servidores de Rede
    Respostas: 0
    Último Post: 23-07-2003, 13:13
  5. Erro na Execussão da Crontab
    Por no fórum Servidores de Rede
    Respostas: 1
    Último Post: 07-03-2003, 10:39

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L